ADTFS-47123 Several updates on ADTF 3.x documentation

2017-06-23 18:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9142

Department: SUPPORT Affected Products: ADTF 3.0.1

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 7 64bit

Support Level: 2nd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Ein paar Anmerkungen zur Doku von Jochen:

1.       auf der Seite doc/adtf_html/page_delivered_system_services.html stehen "ADTF Qt X System Plugin" und "ADTF Log View

Plugin" in der Sparte "Session", sollte besser "System" sein.

2.       ADTF/3.0.1/doc/adtf_html/page_sample_stream_trace_provider_plugin.html

Die Doku kennt hier einen Service sample_stream_trace_provider.services.adtf.cid. Den gibt es aber nicht, stattdessen heißt er

Sample Stream Tracer aus dem Plugin adtf_sample_stream_tracer.adtfplugin

3.       Das Bild in ADTF/3.0.1/doc/adtf_html/page_sample.html zum Sample Interface ist veraltet "GetSampleBuffer" gibt es nicht,

Es genügt wohl für eine ungenaue Architektur, aber in der Doku sollte es dann schon passen :)

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Folgende Punkte müssen in der Dokumentation angepasst werden:

Auf der Seite doc/adtf_html/page_delivered_system_services.html stehen "ADTF Qt X System Plugin" und "ADTF Log View Plugin"

in der Sparte "Session", sollte besser "System" sein.

"ADTF Qt X System Plugin" und "ADTF Log View Plugin" wurden in der falschen Tabelle eingeordnet und gehören in die Sparte

"System".

ADTF/3.0.1/doc/adtf_html/page_sample_stream_trace_provider_plugin.html

Die Doku kennt hier einen Service sample_stream_trace_provider.services.adtf.cid. Den gibt es aber nicht, stattdessen heißt er

Sample Stream Tracer aus dem Plugin adtf_sample_stream_tracer.adtfplugin

Der sample_stream_trace_provider.services.adtf.cid ist an dieser Stelle falsch, er müsste

"sample_stream_tracer.services.adtf.cid" heißen.

cFilter

C:/ADTF/3.0.1/doc/adtf_html/classadtf_1_1filter_1_1ant_1_1c_filter.html

ConfigureThreadTrigger(): Hier ist der strPinName fehl am Platze. tFalase sollte wohl tFalse heißen.

ConfigureTimerTrigger(): auch hier taucht zweimal strPinName in der Doku aber nicht als Parameter auf.
Ein Typo in

C:/ADTF/3.0.1/doc/adtf_html/mainpage_mediadescription_pkg.html

#include <adtf_mediadestiption.h>

Bei allen IPC Source Streaming Services fehlt die Dokumentation der Property „synchronize_timestamps“.

Z.B. für den TCP Source C:/ADTF/3.0.1/doc/adtf_html/page_ipc_tcp_plugin.html

Wenn synchronize_timestamps = true wird ein sync2ref auf den Zeitstempel der eingehenden Media Samples gemacht. Das braucht

man für den Fall dass die ADTF Instanzen keine synchronisierten Uhren haben. Wenn die Uhren synchronisiert sind (z.b. mithilfe

des ADTF Clock Synchronization Services) kann man die Property auf false stellen.

History

#1 - 2017-06-26 08:56 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Doc

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.0.1 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

#2 - 2017-06-26 15:36 - hidden

- Subject changed from ADTFS-47123 Die ADTF 3.0.1 Doku stifftet Verwirrung welche Services "Session Services" sind to ADTFS-47123 Die ADTF

3.0.1 Doku stiftet Verwirrung welche Services "Session Services" sind

- Status changed from In Progress to Customer Feedback Required

Hallo Ursula,

1. auf der Seite doc/adtf_html/page_delivered_system_services.html stehen "ADTF Qt X System Plugin" und "ADTF Log View Plugin" in der

Sparte "Session", sollte besser "System" sein.

 Diesen Punkt nehme ich mit in die morgige Projektrunde.

Vermutung:

Es wurde bewusst als Session Service eingeordnet wurde, damit es nicht im Runlevel System, sondern im Runlevel Session geladen wird, weil es im

Runlevel System noch keine Festerabhängigkeiten (Qt) gibt.

Bereits im Runlevel System können Festerabhängigkeiten geladen werden.

"ADTF Qt X System Plugin" und "ADTF Log View Plugin" wurden in der falschen Tabelle eingeordnet und gehören in die Sparte "System".

2. ADTF/3.0.1/doc/adtf_html/page_sample_stream_trace_provider_plugin.html

Die Doku kennt hier einen Service sample_stream_trace_provider.services.adtf.cid. Den gibt es aber nicht, stattdessen heißt er Sample Stream

Tracer aus dem Plugin adtf_sample_stream_tracer.adtfplugin

 Der sample_stream_trace_provider.services.adtf.cid ist an dieser Stelle falsch, er müsste "sample_stream_tracer.services.adtf.cid" heißen.

3. Das Bild in ADTF/3.0.1/doc/adtf_html/page_sample.html zum Sample Interface ist veraltet "GetSampleBuffer" gibt es nicht,

Es genügt wohl für eine ungenaue Architektur, aber in der Doku sollte es dann schon passen :)

 Richtig, GetSampleBuffer wurde durch GetSampleBufferFactory() ersetzt.

#3 - 2017-06-27 15:48 - hidden

Hallo Ursula,

ich habe die Infos aus der Projektrunde im oberen Kommentar ergänzt.

1. auf der Seite doc/adtf_html/page_delivered_system_services.html stehen "ADTF Qt X System Plugin" und "ADTF Log View Plugin" in der
Sparte "Session", sollte besser "System" sein.

 "ADTF Qt X System Plugin" und "ADTF Log View Plugin" wurden in der falschen Tabelle eingeordnet und gehören in die Sparte "System".

Damit sollte dieses Supportticket abgeschlossen sein.

Sobald ich die nötigen Rechte nach dem heutigen Umzug auf JIRA habe, werde ich dementsprechend Tickets für die Anforderungen erstellen bzw.

ergänzen.

#4 - 2017-06-30 16:18 - hidden

- Resolution set to Solved Issue

@Matthias, bitte Ticket nach feedback abschließen und Doku Tickets im JIRA anlegen.

#5 - 2017-07-06 14:11 - hidden

- File 20170703173033509_image002.png added

Hallo,

Ergänzung von Jochen:

noch ein Fehler in der Doku zu cFilter

C:/ADTF/3.0.1/doc/adtf_html/classadtf_1_1filter_1_1ant_1_1c_filter.html

Siehe Attachment:

ConfigureThreadTrigger(): Hier ist der strPinName fehl am Platze. tFalase sollte wohl tFalse heißen.

ConfigureTimerTrigger(): auch hier taucht zweimal strPinName in der Doku aber nicht als Parameter auf.

#6 - 2017-07-10 17:22 - hidden

- Status changed from Customer Feedback Required to In Progress

#7 - 2017-07-12 08:04 - hidden

Hallo,

noch ein letzter Nachtrag durch Jochen:

Ein Typo in

C:/ADTF/3.0.1/doc/adtf_html/mainpage_mediadescription_pkg.html

#include <adtf_mediadestiption.h>

Bei allen IPC Source Streaming Services fehlt die Dokumentation der Property „synchronize_timestamps“.

Z.B. für den TCP Source C:/ADTF/3.0.1/doc/adtf_html/page_ipc_tcp_plugin.html

Ist mir unklar was das machen soll. Welche timestamps werden synchronisiert und was heißt das überhaupt Zeitstempel zu synchroniseren?

Ein Feature das bei den Streaming Services Sinn machen würde wär ja die Clock-Synchronisation. Ist evtl. das damit gemeint? Dann am besten noch

umbennenen.

#8 - 2017-07-19 16:37 - hidden

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9142

Hallo zusammen,

für die gemeldeten Punkte wurde ein Produktticket erstellt.

https://www.cip.audi.de/jira/browse/ACORE-9142

Die Frage zu der Property „synchronize_timestamps“ wird noch geklärt.

#9 - 2017-07-20 09:19 - hidden

- Description updated

- Status changed from In Progress to Customer Feedback Required
Hallo Zusammen,

wenn synchronize_timestamps = true wird ein sync2ref auf den Zeitstempel der eingehenden Media Samples gemacht. Das braucht man für den Fall

dass die ADTF Instanzen keine synchronisierten Uhren haben. Wenn die Uhren synchronisiert sind (z.b. mithilfe des ADTF Clock Synchronization

Services) kann man die Property auf false stellen.

Damit sollte dieses Supportticket abgeschlossen sein. Bitte um kurzes Feedback bis spätestens morgen den 21.7.2017.

#10 - 2017-07-21 09:55 - hidden

Danke,

heutiges Feedback: Bitte noch offen lassen, ich leite es mal an Jochen weiter und warte auf seine Antwort. :)

Viele Grüße

Ursula

#11 - 2017-07-21 10:40 - hidden

Und ich hab immer noch keinen Zugriff auf die Produktticket-Links...

Viele Grüße

Ursula

#12 - 2017-07-21 11:09 - hidden

Das Ticket müsste dann unter ID 9142 in dem Ticket Export von Ralf Belke auftauchen?

#13 - 2017-07-21 16:22 - hidden

Das Ticket müsste dann unter ID 9142 in dem Ticket Export von Ralf Belke auftauchen?

 genau

#14 - 2017-07-26 09:35 - hidden

Bitte um Feedback bis Ende der Woche

#15 - 2017-07-26 13:31 - hidden

Passt, könnt das Ticket schließen. Danke :)

#16 - 2017-07-27 13:34 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

@Florian, Ticket kann geschlossen werden.

#17 - 2017-08-02 15:13 - hidden

- Resolution changed from Solved Issue to Product Issue Opened

- Subject changed from ADTFS-47123 Die ADTF 3.0.1 Doku stiftet Verwirrung welche Services "Session Services" sind to ADTFS-47123 Several

updates on ADTF 3.x documentation

- Status changed from To Be Closed to Closed

#18 - 2018-01-25 12:09 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
